Skip to main content

Objects

acquiring_payments = payment_list

Use acquiring_payments for API v1, and payment_list for API v2.

All the payment details.

NameMandatoryTypeDescription
id+stringUnique payment identifier
status+stringPayment status Possible values: succeeded, in_progress, pending, failed
created_at+stringCreation date in ISO 8601 format
payment_details+objectPayment data
amount_details+objectAmount
finished_at-stringCompletion date in ISO 8601 format
customer+objectUser (payer) details
recurrent-objectDetails needed to perform recurring payments
participant_details-objectParticipants' details
refunds-arrayRefund list
customer_interaction-objectData needed for user interaction
transaction_info-objectTransaction details
metadata-objectAdditional information. Any data you need in order to perform the operation. Returned in responses and webhooks
error-objectError description
 

Payment statuses (status)

  • in_progress — the payment is being processed.
  • pending — awaiting your confirmation (session/confirm) or cancellation (session/cancel).
  • succeeded — the payment has been completed successfully.
  • failed — the payment has not gone through due to an error.

acquiring_widget

Settings for the payout form widget (for performing bank card payments).

NameMandatoryTypeDescription
session_id+stringIdentifies the payment session for which the payment will be performed
show_recurrent_checkbox-boolWhether to display the Enable automatic payments checkbox in the widget interface
success_return_url-stringURL to which the user is redirected after the payment has been successfully
failure_return_url-stringURL to which the user is redirected when an error occurs during the payment
success_on_hold-boolWhether to show a message about a successful payment to a payer when holding. By default, false and the widget shows a loading screen until the end of the hold
redirect_target-stringRedirect link open options:
- top — outside of all the frames as the top window
- self — in the same frame
- parent — in the next-level frame if the frames are nested in one another.
Default: top

amount_details

Amount object.

NameMandatoryTypeDescription
amount+intAmount value in minor currency units (ruble decimal format). For 100 rubles, enter 10000
currency+stringISO 4217 currency code. Case insensitive. Options: rub, eur

bank_account

The payout recipient's account description.

NameMandatoryTypeDescription
system_type+stringBank payment system. Options: ru, faster_payment_system, faster_payment_system_verification
ru- (mandatory for system_type = ru)objectRecipient's bank account (region: ru)
faster_payment_system- (mandatory for system_type = faster_payment_system)objectRecipient's data in the Faster Payment System
faster_payment_system_verification- (mandatory for system_type = faster_payment_system_verification)objectData for the recipient verification in the Faster Payment System

bank_card

An unencrypted card object.

NameMandatoryTypeDescription
number+stringCard number
expiration_month- (mandatory for payments if available)stringMonth
expiration_year- (mandatory for payments if available)stringYear
security_code- (mandatory for payments if available)stringCVC (security code)
cardholder_name-stringCardholder's name

card

The payout recipient's bank card details.

NameMandatoryTypeDescription
type+ (not returned in responses)stringCard details transmission type. Possible values: bank_card, encrypted_card, tokenized_card
bank_card- (mandatory for type = bank_card)objectUnencrypted card
encrypted_card- (mandatory for type = encrypted_card)objectCard with encrypted fields (tokenized)
tokenized_card- (mandatory for type = tokenized_card)objectTokenized card number
brand-stringCard information. Returned in notifications, needed for user display
last4-stringCard information. Returned in notifications, needed for user display
bin-stringBank Identification Number (BIN) (the first 6 digits of a card number)
card_id-stringCard identifier
country_iso3-stringCountry code (ISO 3166-1 alpha-3)

card_elements

The number of a card for tokenizing.

NameMandatoryTypeDescription
ref+stringFixed value, always number
type+stringFixed value, always card_number
card_number+stringCard number

contacts

An array with the contacts of a user (payout recipient or payment sender).

NameMandatoryTypeDescription
email-stringUser's email
phone-stringUser's phone number

customer

Data about the user (payout recipient or payment sender) in your system, E.g. the login that lets you identify the user. Also includes their contact details.

NameMandatoryTypeDescription
reference+stringIdentifier of the user (payout recipient or payment sender) in your system (up to 128 characters)
contacts-arrayUser contacts

customer_interaction

An object describing customer interaction.

NameMandatoryTypeDescription
type+stringCustomer interaction type. Possible values: redirect, inform
redirect- (mandatory for type = redirect)objectUser redirect data
inform- (mandatory for type = inform)objectPayment option data

data

Token and tokenized card details.

NameRequiredTypeDescription
number+objectToken information

encrypted_card

Card with encrypted fields (tokenized). Transmitted during payouts or payments through the widget.

NameMandatoryTypeDescription
number_hash+stringCard number hash
expiration_date_hash-stringExpiration date hash
security_code_hash-stringCVC code hash
cardholder_name_hash-stringCardholder's name hash

error

Error description object.

NameMandatoryTypeDescription
code-stringError code
description-stringError description

faster_payment_system

Data of a user of the Faster Payment System for payouts and payments.

NameMandatoryTypeDescription
phone- (mandatory for payouts)stringRecipient's phone number
bank_id- (mandatory for payouts)stringIdentifier of the recipient's bank in the FPS
description- (mandatory for payouts)stringPayout or payment purpose

faster_payment_system_verification

Data for the recipient verification in the Faster Payment System.

NameMandatoryTypeDescription
phone+stringRecipient's phone number
bank_id+stringIdentifier of the recipient's bank in the FPS. To get the identifier, use the fps/banks method

fps_no_account_widget

Payment page data fr money transfers.

NameMandatoryTypeDescription
session_id+stringPayment session identifier

info (tokenized bank card)

Details of a tokenized bank card.

Returns in response to the token/info request.

NameMandatoryTypeDescription
number_hash+stringToken (tokenized bank card)
brand+stringPayment system, i.e. visa
last4+stringLast 4 card numbers
type+stringToken type. Always: card

info (public token)

Information about a public token.

Returns in response to the token/info request.

NameMandatoryTypeDescription
token+stringToken
created_at+stringCreation date in ISO 8601 format
finished_at+stringCompletion date in ISO 8601 format
is_active+boolPossible to conduct the operation with this token: true – allowed, false – not allowed
type+stringToken type. Always: public_token

info (token for recurring payments or payouts)

Information about a token for recurring payments and payouts.

Returns in response to the token/info request.

NameMandatoryTypeDescription
token+stringToken
created_at+stringCreation date in ISO 8601 format
finished_at+stringCompletion date in ISO 8601 format
is_active+boolWhether it is possible to conduct the operation with this token: true – allowed, false – not allowed
initiator-stringRecurring payment type. Possible values: merchant—an MIT payment (by default), client—a CIT payment
type+stringToken type. Always: recurrent_token

info (tokenized card details)

Tokenized card details.

Returns in response to the tokenize/elements request.

NameRequiredTypeDescription
masked_card_number+stringMasked card number
card_network+stringCard payment system
card_type+stringCard type

inform

Payment option data.

NameMandatoryTypeDescription
qr-objectQR code for payments via FPS

internet_banking

Details on payments via payment systems.

NameMandatoryTypeDescription
type+stringPayment system. Possible values: sber_pay
sber_pay+objectSberPay payment system transaction details

number

Token and tokenized card details.

NameRequiredTypeDescription
token+stringToken
info+objectCard information

participant_details

Payout participant details.

NameMandatoryTypeDescription
sender-objectSender's details
recipient-objectRecipient's details

payment_details

The description of the method for performing the payment.

NameMandatoryTypeDescription
type+stringPayment method type. Possible values: card, recurrent, faster_payment_system, faster_payment_system_binding
card- (mandatory for type = card)objectBank card details
recurrent- (mandatory for type = recurrent)objectDetails for repeating the payment using the token
faster_payment_system- (mandatory for type = faster_payment_system)objectPayment via FPS

payment_method = payout_details

Use payment_method for API v1, and payout_details for API v2.

The description of the method for receiving the payout.

NameMandatoryTypeDescription
type+stringType of method for receiving the payout. Possible values: card, recurrent, tokenized_card
card- (mandatory for type = card)objectRecipient's bank card
recurrent- (mandatory for type = recurrent)objectToken data
tokenized_card- (mandatory for type = tokenized_card)objectTokenized card number

payment_options

Parameters needed to perform the payment.

NameMandatoryTypeDescription
return_url-stringURL to which the user is redirected after the payment has been performed. The URL must be valid
recurrent-boolDetermines whether the payment is to be performed using the saved token

payments = payout_list

Use payments for API v1, and payout_list for API v2.

Payout details.

NameMandatoryTypeDescription
id+stringPayout identifier
status+stringStatus. Possible values: succeeded, in_progress, pending, failed
created_at+stringCreation date in ISO 8601 format
payment_method/payout_details+objectMethod of receiving the payout
amount_details+objectAmount
finished_at-stringCompletion date in ISO 8601 format
customer-objectRecipient's data in your system, e.g. the login that lets you verify the recipient on your side.
participant_details-objectThe details of payout participants required to perform the payout, e.g. the names and addresses of the payer and the recipient.
refunds-arrayRefund list
transaction_info-objectTransaction details
metadata-objectAdditional information. Any data you need in order to perform the operation. Returned in responses and webhooks
error-objectError description
 

Payout statuses (status)

  • in_progress — the payment is being processed.
  • pending — awaiting your confirmation (session/confirm) or cancellation (session/cancel).
  • succeeded — the payout has been completed successfully.
  • failed — the payout has not gone through because of an error.

public_token

Information about a public token.

NameMandatoryTypeDescription
token+stringToken

qr

QR code for payments via FPS.

NameMandatoryTypeDescription
content+stringLink to QR code
img+stringQR code body

recipient

Payout recipient details. Which details are necessary depend upon the method of receiving the payout.

NameMandatoryTypeDescription
full_name- (mandatory for payouts to any cards)stringFull name
first_name-stringFirst name
last_name-stringLast name
middle_name-stringPatronymic
company_name-stringCompany name
reference-stringRecipient identifier in your system
tax_reference-stringTaxpayer identifier
beneficiary_id- (mandatory for the payments and payouts with a beneficiary)stringINN of the beneficiary
country_iso3-stringCountry (ISO 3166-1 alpha-3)

recurrent (recurring transaction token)

Token for recurring payments or payouts.

Parent objects: payment_method/payout_details, payment_details.

NameMandatoryTypeDescription
token+stringToken
initiator-stringRecurring payment type. Possible values: merchant—an MIT payment (by default), client—a CIT payment

recurrent (recurring transaction token information)

Information about a token for recurring payments or payouts.

Parent arrays: acquiring_payments/payment_list.

NameMandatoryTypeDescription
token+stringToken
created_at+stringCreation date in ISO 8601 format
finished_at+stringCompletion date in ISO 8601 format
is_active+boolWhether it is possible to conduct the operation with this token: true – allowed, false – not allowed
initiator-stringRecurring payment type. Possible values: merchant—an MIT payment (by default), client—a CIT payment
type+stringToken type. Always: recurrent_token

recurrent_token

Token for recurring payments or payouts.

NameMandatoryTypeDescription
token+stringToken

redirect

User redirect data.

NameMandatoryTypeDescription
url+stringRedirect address including GET parameters
base_url+stringRedirect address
method+stringSubmission method, E.g. GET, POST
qs-map<string,string>Set of parameters depending on the transaction method
params-map<string,*>Set of parameters depending on the transaction method
  • Check if any parameters are specified in the qs and params objects.
  • Redirect the user to the redirect address specified in base_url using the method from the method parameter and including all the required parameters in the URL or request body.

refunds

An array with details on a refund.

NameMandatoryTypeDescription
id+stringUnique refund identifier
status+stringRefund status. Possible values: in_progress, accepted, declined, error
amount_details+objectAmount of the refund
created_at+stringCreation date
finished_at-stringCompletion date
is_chargeback-boolWhether the refund is made within a chargeback
transaction_info-objectTransaction details

Refund statuses (status)

  • in_progress – the payment is being processed.
  • accepted – the refund has been completed successfully.
  • declined – Pike has declined the refund.
  • error – the refund has not gone through because of an error.

ru

Bank account details (region: ru).

NameMandatoryTypeDescription
bik+stringRecipient’s Bank Identification Code
account+stringRecipient's bank account
full_name+stringIndividual's full name. In case of a payout to an account of a sole proprietor should be passed in the following format: ИП <full name>. In case of a payout to a legal entity, enter the entity's name, if it is provided in the agreement. Important: if the name is passed incorrectly the recipient bank may cancel the payout and the payout will be refunded
description+stringPayout purpose
inn- (mandatory for the payouts to the accounts of legal entities and individual proprietors)stringRecipient's INN, 10 digits for legal entities, 12 digits for individuals, including individual proprietors
kpp- (mandatory for the payouts to the accounts of legal entities)stringRecipient's Tax Registration Reason Code (KPP)

sber_pay

SberPay payment details.

NameMandatoryTypeDescription
phone-stringPhone number to send PUSH or SMS to. Format: 7**********
channel+ENUMSberPay payment channel. Options: app, mobile_web, web

sender

Payout payer details. Which details are necessary depend upon the method of receiving the payout.

NameMandatoryTypeDescription
full_name-stringFull name
first_name-stringFirst name
last_name-stringLast name
middle_name-stringPatronymic name
company_name-stringCompany name
reference-stringRecipient identifier in your system
tax_reference-stringTaxpayer identifier
beneficiary_id- (mandatory for the payments and payouts with a beneficiary)stringINN of the beneficiary
country_iso3-stringCountry (ISO 3166-1 alpha-3)
ipv4-stringIP version 4 address of the sender's device
ipv6-stringIP version 6 address of the sender's device

session

A container with data about all the operations performed within a single payment session.

Payment operations can only be performed within a session. One or more operations of the same or different types can be performed within the session (e.g. several payouts, a payment and a refund, or a payment which is subsequently split).

NameMandatoryTypeDescription
id+stringSession identifier
status+stringStatus. Possible values: created, in_progress, accepted, cancelled, error
created_at+stringCreation date in ISO 8601 format
updated_at+stringUpdate date in ISO 8601 format
payments/payout_list-arrayA list of payouts performed within the session
acquiring_payments/payment_list-arrayA list of payments performed within the session
next_action-stringLabel indicating actions needed to perform the transaction successfully. Possible values: confirm, capture
error-objectError description

Payment session statuses (status)

  • created — the session has been created and is waiting to be started or canceled.
  • in_progress — the payment is being processed.
  • accepted — the payment has been completed successfully.
  • cancelled — the payment has been canceled.
  • error — an unexpected error occurred while processing.

    Attention! This status is not final. Please contact Pike's support team and wait for a final transaction status.

Next steps (next_action)

If this field is not empty, it means that Pike is waiting for you to perform specific actions to continue with the operation:

tokenized_card

A card token.

NameRequiredTypeDescription
token+stringToken

tokenize_widget

Settings for the tokenization widget.

NameMandatoryTypeDescription
access+boolIdentifies whether this public key can use the tokenization widget

transaction_info

Transaction information.

NameMandatoryTypeDescription
rrn-stringRetrieval Reference Number (a unique identifier generated for a bank transaction)
arn-stringAcquirer Reference Number (a unique number assigned to credit card transactions)
auth_code-stringAuthorization code
fp_message_id-stringUnique transaction identifier in FPS

wallets

Your guarantee payment balance details (this balance is used to perform payouts).

NameMandatoryTypeDescription
id+stringBalance identifier
amount_details+objectCurrent balance